#
# spec file for package taplo
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           taplo
Version:        0.9.3
Release:        1.3
Summary:        A TOML toolkit written in Rust
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/tamasfe/taplo
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  openssl-devel

%description
Validate TOML documents syntactically or against JSON schemas.

%prep
%autosetup -a1

%build
%{cargo_build} --all-features

%check
%{cargo_test}

%install
install -Dm 755 -t "%{buildroot}%{_bindir}" target/release/%{name}

%files
%doc README.md
%license LICENSE.md
%{_bindir}/%{name}

%changelog
* Wed Jul 31 2024 Joshua Smith <smolsheep@opensuse.org>
- Update to 0.9.3:
  * Fix regression: [rule.formatting] completely overrides the
    default outside of the specified sections
* Fri Jul 12 2024 Joshua Smith <smolsheep@opensuse.org>
- Update to 0.9.2:
  * fix: bump engines compat due to new types usage
  * fix: remove crypto workaround since VS imports own crypto
  * Fix realign of comment makes debug assert fail
  * Add repository attribute to crates missing it
  * add GeneralArgs support to lsp command
  * fix: allow building with `no-default-features`
* Tue Apr 16 2024 Joshua Smith <smolsheep@opensuse.org>
- Initial package of taplo for openSUSE
